/*================================================================================================
Ket ora kiiratasa
- az egyik a pontos idot,
- a masik egy csengetes tablazatban megadott kovetkezo idopontig hatralevo idot
mutatja.
A script-nek nehany parameterre szuksege van:
$hv	a kovetkezo hetvegi/nem tanitasi napok szama
$ab	A-het, B-het, N-ormal es - hetvege/nem tanitasi nap (tan_napokAB.csv utolso elotti oszlopa)
$csengetes	a csengetesi rendet tartalmazo tomb (tan_napokAB.csv utolso oszlopa hatarozza meg)

var WW = Date.parse('<?php printf("%s", date('Y/m/d H:i:s'));?>')
var hv = <?php print $hv;?>

var ab = '<?php print $ab;?>'

csengetes = <?php print $csengetes;?>

------------------------------------------------------------------------------------------------

Szovegdoboz kiiratasa, amit a text-ben atvesz
================================================================================================*/


csmax = csengetes.length

function oraKitolt(ertekBen) {
if (ertekBen > 9) {
return ertekBen
}
return "0" + ertekBen
}


function nullaKitolt(ertekBen) {
if (ertekBen > 9) {
return ":" + ertekBen
}
return ":0" + ertekBen
}

function Mod(X, Y) { return X - Math.floor(X/Y)*Y }

function Div(X, Y) { return Math.floor(X/Y) }

function AzIdoKiiratas() {
if ( !isNaN(WW) )
 {
 most = new Date(WW)
 ido_mp = most.getHours() * 3600 + most.getMinutes() * 60 + most.getSeconds()
 cs = 0
 hszin="#00A800"
 csengetes0 = csengetes[0][0] * 3600 + csengetes[0][1] * 60 + csengetes[0][2]
if ( csengetes0 != 0 )
  {
  hatra_mp = csengetes0 - ido_mp
  if (hatra_mp<0) hatra_mp=hatra_mp+86400
  if ((ab != '-') && (csmax > 1))
   {
   for(var i = 1; i < csmax; i++)
    {
    csenget_mp = csengetes[i][0] * 3600 + csengetes[i][1] * 60 + csengetes[i][2]
    kis_mp=csenget_mp-ido_mp
    if (kis_mp<0) kis_mp=kis_mp+86400
    if (kis_mp<hatra_mp)
     {
       hatra_mp=kis_mp
       cs=i
     }
     }
     if (cs==0) {hszin="#00A800"}
        else
        {if (csengetes[cs-1][3]==10) {hszin="#FC5454"}
            else
            {if (csengetes[cs][3]==5) {hszin="#00A800"}
                else
                {hszin="#54FC54"}
            }
        }
    }

   if ((ido_mp+hatra_mp>86400) || ((ab == '-') || (csmax == 1))) hatra_mp = hatra_mp + hv * 86400
   if ((ido_mp<csengetes0) && ((ab == '-') || (csmax == 1))) hatra_mp = hatra_mp + 86400
   document.ido2Forma.ido2Ki.value = oraKitolt(Div (hatra_mp , 3600)) + nullaKitolt(Div (Mod (hatra_mp , 3600) , 60)) + nullaKitolt(Mod (hatra_mp , 60))
   document.csengForma.csengKi.value = csengetes[cs][0] + nullaKitolt(csengetes[cs][1])
   }
   else
   {
   document.ido2Forma.ido2Ki.value = "--:--:--"
   document.csengForma.csengKi.value = "- : --"
   }
   document.ido2Forma.ido2Ki.style.color = hszin
   document.csengForma.csengKi.style.color = hszin

   document.idoForma.idoKi.value = oraKitolt(most.getHours()) + nullaKitolt(most.getMinutes()) +  nullaKitolt(most.getSeconds())
   document.title = oraKitolt(most.getHours()) + nullaKitolt(most.getMinutes()) +  nullaKitolt(most.getSeconds()) + " - Iskolaora"
  setTimeout("AzIdoKiiratas()",1000)
  WW += 1000
 }
}

  var xCoord = 0;
  var yCoord = 0;
  
  function checkwhere(e) {
  if (document.layers){ // NS4
    xCoord = (e.x + window.pageXOffset);
    yCoord = (e.y + window.pageXOffset);
    }
  else if (document.all){ // IE
    xCoord = (event.clientX + document.documentElement.scrollLeft + document.body.scrollLeft);
    yCoord = (event.clientY + document.documentElement.scrollTop + document.body.scrollTop);
    }
  else if (document.getElementById){ // NS6 FF3
    xCoord = (e.clientX + scrollX);
    yCoord = (e.clientY + scrollY);
    }
  return true;
  }

   document.onmousemove = checkwhere;
   if(document.captureEvents) {document.captureEvents(Event.MOUSEMOVE);}
// csengetbox megjelenitese
   function megJelenit(text) {
      document.getElementById('cs_idopontok').style.visibility = 'visible';
      document.getElementById('cs_idopontok').innerHTML = text;
      document.getElementById('cs_idopontok').style.top = (yCoord + 17) + 'px';
      document.getElementById('cs_idopontok').style.left = (xCoord + 7)  + 'px';
   }

// csengetbox elrejtese
   function elRejt() {
      document.getElementById('cs_idopontok').style.visibility = 'hidden';
   }

// stilusvaltas kepernyofelbontas szerint
 if ((navigator.appName).indexOf("Microsoft")!=-1)
 {wmag = document.documentElement.clientHeight + 100;}
 else
 {wmag = window.innerHeight + 100;}

    if (wmag < 480)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora200.css" TYPE="text/css">');
        }
    else if (wmag < 768)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora480.css" TYPE="text/css">');
        }
    else if (wmag < 800)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora768.css" TYPE="text/css">');
        }
    else if (wmag < 1024)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora800.css" TYPE="text/css">');
        }
    else if (wmag < 1050)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora1024.css" TYPE="text/css">');
        }
    else if (wmag < 1200)
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora1050.css" TYPE="text/css">');
        }
    else
        {
        document.write('<LINK REL="stylesheet" HREF="stilusok/iskora1200.css" TYPE="text/css">');
        }
